// ESM
import Fastify from 'fastify';
import config from '#config/index';
import plugin from '#src/plugins/index';
import routes from '#src/routes/index';
import loggerConfig from '#src/utils/logger';
import { ajvConfig } from '#utils/ajv/index';

export default async function Application(machineId = 1) {
    config.deviceInfo.machineId = machineId;
    // 创建Fastify实例
    const fastify = new Fastify({
        logger: loggerConfig(config),
        ajv: ajvConfig,
    });
    // 加载插件
    await fastify.register(plugin, { config });
    // 加载路由
    await fastify.register(routes);
    // 启动服务器
    await fastify.listen(config.server); // 使用配置中的服务器参数
}
