import fastifyPlugin from 'fastify-plugin';
import { createClient } from 'redis';
async function redis(fastify, options) {
    fastify.log.warn('Register Redis Plugin!');
    const config = fastify.config.redis;
    const redisConnect = createClient({
        name: config.connectName,
        username: config.username,
        password: config.password,
        database: config.database,
        url: `redis://${config.username}:${config.password}@${config.host}:${config.port}/${config.database}`,
    });
    redisConnect.on('connect', async () => {
        fastify.log.info(await redisConnect.set('SI HI', 'YuHeng'));
    });

    redisConnect.on('error', (err) => {
        console.log(err)
        fastify.log.error('Redis error: ', err);
    });

    // 连接到 Redis
    await redisConnect.connect();

    fastify.decorate('redis', redisConnect);

    // 读取数据库基本信息
    fastify.log.warn('Register Redis Complete!  => REDIS SI HI: ' + await redisConnect.get('SI HI'));

}
export default fastifyPlugin(redis);