import { sysUser } from '#entity';
import { or, eq } from 'drizzle-orm';
// 查重用户名和邮箱
export async function checkExistsUsernameAndEmail(username, email) {
    const result = await this.db
        .select()
        .from(sysUser)
        .where(
            or(
                eq(sysUser.username, username), // 明确指定字段比较
                eq(sysUser.email, email),
            ),
        );

    return result.length > 0; // 正确判断结果集是否为空
}
// 个人注册账户
export async function registerAccountForMyself(userData) {
    const result = await this.db.insert(sysUser).values({
        username: userData.username,
        email: userData.email,
        password: userData.password, // 实际应存储加密后的密码
        userId: userData.userId, // 使用雪花算法生成唯一ID
        pid: 0, // 个人注册账户父节点ID为0
        createdBy: 0, // 个人注册账户创建者ID为0
    })
    const [newUser] = await this.db
        .select()
        .from(sysUser)
        .where(eq(sysUser.userId, userData.userId));
    return newUser;
}
